<?php
class address_book
{
	var $data;
	function address_book( $address_book_object ){
		$this->data = $address_book_object;
	}
	
	function getFullName(){
		return $this->data->entry_firstname . ' '.$this->data->entry_lastname;
	}

	function get_smarty_data_array(){
		$array = (array) $this->data;
		$array['fullname'] = $this->getFullName();
		$array['gender_name'] = yes_get_customers_gender_name($array['entry_gender']);
		$array['country_name'] = xtc_get_country_name($array['entry_country_id']);
		return $array;
	}
}
